Subject: Re: bug#27028: Cannot install packages in USB image

From: Marius Bakke <[email-masked]>
Date: Tue, 23 May 2017 01:09:15 +0200

Leo Famulari <[email-masked]> writes:

> On Mon, May 22, 2017 at 10:48:18PM +0200, Marius Bakke wrote:
>> I tried installing 'shadow' on the live USB image, but Guix crashes at
>> the very end. Here's an example:
>
> The USB installer, not the VM image, right?

Yes. Have not tested the VM image.

>> root@gnu ~# guix package -i hello
>> 3622: 4 [process-use-modules ((#) (#) (#) (#))]
>>  712: 3 [map #<procedure 8575a0 at ice-9/boot-9.scm:3622:25 (mif-args)> (# # # #)]
>> 3623: 2 [#<procedure 8575a0 at ice-9/boot-9.scm:3622:25 (mif-args)> (#)]
>> 2903: 1 [resolve-interface (guix build utils) #:select ...]
>> In unknown file:
>>    ?: 0 [scm-error misc-error #f ...]
>
> [...]
>
>> ERROR: In procedure scm-error:
>> ERROR: no code for module (guix build utils)
>> builder for `/gnu/store/0rgfpx2wjxfxld0vq9nmgkl0kpvc6w37-info-dir.drv' failed with exit code 1
>> cannot build derivation `/gnu/store/i6wkh2h6zgh08mx2xic8khyc1s138fj5-profile.drv': 1 dependencies couldn't be built
>> guix package: error: build failed: build of `/gnu/store/i6wkh2h6zgh08mx2xic8khyc1s138fj5-profile.drv' failed
>
> I tried the same, using the x86_64 USB installer image, and this
> succeeded for me. I could also install shadow.

Oops, this was on an image generated from 'master'. I can confirm that
an image generated the v0.13.0 tag works. That lowers the severity of
#27027 significantly :-)

> I didn't run `guix pull`.

Me neither.